Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class FilteredStepIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.StepIterator
                  |
                  +--org.apache.xalan.xsltc.dom.FilteredStepIterator

public final class FilteredStepIterator
extends StepIterator

Extends a StepIterator by adding the ability to filter nodes. It uses filters similar to those of a FilterIterator.

Constructor Summary
`FilteredStepIterator(DTMAxisIterator source, DTMAxisIterator iterator, Filter filter)`

Method Summary
`int` | `next()`

Methods inherited from class org.apache.xalan.xsltc.dom.StepIterator
`cloneIterator, gotoMark, reset, setMark, setRestartable, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredStepIterator

    public FilteredStepIterator(DTMAxisIterator source,
                                DTMAxisIterator iterator,
                                Filter filter)

Method Detail

### next

    public int next()

  Overrides:
    next in class StepIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.